Personal tools
You are here: Home Forum Install & build Salome on MacOS (omnipy error)

Salome on MacOS (omnipy error)

Up to Install & build

Salome on MacOS (omnipy error)

Posted by Luiz Carlos de Mello Flores Junior at October 15. 2021
Hey, guys. I'm trying to use the Salome on MacOS, so I'm using docker with linux to do it. I thought all my past steps before this point are correct, however when I try to open the Salome I have the follow error: ERROR:salomeContext:Unexpected error: Traceback (most recent call last): File "/home/salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/SALOME/bin/salome/salomeContext.py", line 278, in _startSalome res = getattr(self, command)(options) # run appropriate method File "/home/salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/SALOME/bin/salome/salomeContext.py", line 353, in _runAppli import setenv File "/home/salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/KERNEL/bin/salome/setenv.py", line 26, in import orbmodule File "/home/salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/KERNEL/bin/salome/orbmodule.py", line 31, in from omniORB import CORBA File "/home/salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/omniORB/lib/python3.8/site-packages/omniORB/__init__.py", line 44, in import _omnipy ModuleNotFoundError: No module named '_omnipy' The omnipy module is already installed as all the others modules that Salome needs (I did the test). Someone knows why the Salome can't open or just not found this module? Or have some idea of what I can do to solve it? Thank you in advance! About the OS I'm using on docker: NAME="Ubuntu" VERSION="20.04.3 LTS (Focal Fossa)" ID=ubuntu ID_LIKE=debian PRETTY_NAME="Ubuntu 20.04.3 LTS" VERSION_ID="20.04" HOME_URL="https://www.ubuntu.com/" SUPPORT_URL="https://help.ubuntu.com/" BUG_REPORT_URL="https://bugs.launchpad.net/ubuntu/" PRIVACY_POLICY_URL="https://www.ubuntu.com/legal/terms-and-policies/privacy-policy" VERSION_CODENAME=focal UBUNTU_CODENAME=focal

Re: Salome on MacOS (omnipy error)

Posted by Matteo Quirino at November 19. 2021

Hi,

I have the same error with SALOME-9.7.0-native-UB20.04-SRC, I have omnipy installed but I do not know why does not work.
Did you manage to solve the problem?

Here below the log of the error:
ERROR:salomeContext:Unexpected error:
Traceback (most recent call last):
  File "/home/utente/Scaricati/Softwares/Salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/SALOME/bin/salome/salomeContext.py", line 278, in _startSalome
    res = getattr(self, command)(options) # run appropriate method
  File "/home/utente/Scaricati/Softwares/Salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/SALOME/bin/salome/salomeContext.py", line 353, in _runAppli
    import setenv
  File "/home/utente/Scaricati/Softwares/Salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/KERNEL/bin/salome/setenv.py", line 26, in <module>
    import orbmodule
  File "/home/utente/Scaricati/Softwares/Salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/KERNEL/bin/salome/orbmodule.py", line 31, in <module>
    from omniORB import CORBA
  File "/home/utente/Scaricati/Softwares/Salome/SALOME-9.7.0-native-UB20.04-SRC/BINARIES-UB20.04/omniORB/lib/python3.8/site-packages/omniORB/__init__.py", line 44, in <module>
    import _omnipy
ModuleNotFoundError: No module named '_omnipy'

Re: Salome on MacOS (omnipy error)

Posted by Matteo Quirino at November 19. 2021

I tried to download again the .tar.gz file but still gives the same error. I had a look at the __init__.py file generating the error, indeed it calls "import _omnipy".

Since I checked that I have omnipy installed I tried to work around by replacing the line as "import omnipy as _omnipy" but then python gives the error
AttributeError: module 'omnipy' has no attribute 'coreVersion'

I do not know to fix this, please if anyone has the same problem write here how to solve it.

Regards
Matteo

Powered by Ploneboard
Document Actions